Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshR

    java.lang.Object
      igeo.IObject
          igeo.IMeshR

All Implemented Interfaces:
  IMeshI

    public class IMeshR

extends IObject
implements IMeshI

Reference class of polygon mesh object containing any instance of IMeshI.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IMeshI` | `mesh`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IMeshR(IMeshI m)`
`IMeshR(IMeshR m)`
`IMeshR(IServerI s, IMeshI m)`
`IMeshR(IServerI s, IMeshR m)`

Method Summary
`IMeshR` | `clr(java.awt.Color c)`
`IMeshR` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IMeshR` | `clr(double dgray)`
`IMeshR` | `clr(double dgray, double dalpha)`
`IMeshR` | `clr(double dr, double dg, double db)`
`IMeshR` | `clr(double dr, double dg, double db, double da)`
`IMeshR` | `clr(float fgray)`
`IMeshR` | `clr(float fgray, float falpha)`
`IMeshR` | `clr(float fr, float fg, float fb)`
`IMeshR` | `clr(float fr, float fg, float fb, float fa)`
`IMeshR` | `clr(int gray)`
`IMeshR` | `clr(int gray, int alpha)`
`IMeshR` | `clr(int r, int g, int b)`
`IMeshR` | `clr(int r, int g, int b, int a)`
`IGraphicObject` | `createGraphic(IGraphicMode m)`
`IMeshR` | `dup()` duplicate object
`IEdge` | `edge(IIntegerI i)`
`IEdge` | `edge(int i)`
`int` | `edgeNum()`
`int` | `edgeNum(ISwitchE e)`
`IIntegerI` | `edgeNum(ISwitchR r)`
`IFace` | `face(IIntegerI i)`
`IFace` | `face(int i)`
`int` | `faceNum()`
`int` | `faceNum(ISwitchE e)`
`IIntegerI` | `faceNum(ISwitchR r)`
`IMeshGeo` | `get()`
`IMeshR` | `hide()`
`IMeshR` | `hsb(double h, double s, double b)`
`IMeshR` | `hsb(double h, double s, double b, double a)`
`IMeshR` | `hsb(float h, float s, float b)`
`IMeshR` | `hsb(float h, float s, float b, float a)`
`void` | `initMesh(IServerI s)`
`IMeshR` | `layer(ILayer l)` Set layer by ILayer object
`IMeshR` | `name(java.lang.String nm)`
`IMeshR` | `setColor(java.awt.Color c)`
`IMeshR` | `setColor(java.awt.Color c, int alpha)`
`IMeshR` | `setColor(double dgray)`
`IMeshR` | `setColor(double dgray, double dalpha)`
`IMeshR` | `setColor(double dr, double dg, double db)`
`IMeshR` | `setColor(double dr, double dg, double db, double da)`
`IMeshR` | `setColor(float fgray)`
`IMeshR` | `setColor(float fgray, float falpha)`
`IMeshR` | `setColor(float fr, float fg, float fb)`
`IMeshR` | `setColor(float fr, float fg, float fb, float fa)`
`IMeshR` | `setColor(int gray)`
`IMeshR` | `setColor(int gray, int alpha)`
`IMeshR` | `setColor(int r, int g, int b)`
`IMeshR` | `setColor(int r, int g, int b, int a)`
`IMeshR` | `setHSBColor(double h, double s, double b)`
`IMeshR` | `setHSBColor(double h, double s, double b, double a)`
`IMeshR` | `setHSBColor(float h, float s, float b)`
`IMeshR` | `setHSBColor(float h, float s, float b, float a)`
`IMeshR` | `show()`
`IVertex` | `vertex(IIntegerI i)`
`IVertex` | `vertex(int i)`
`int` | `vertexNum()`
`int` | `vertexNum(ISwitchE e)`
`IIntegerI` | `vertexNum(ISwitchR r)`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, cp, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IMeshI
`isValid`

Field Detail

### mesh

    public IMeshI mesh

Constructor Detail

### IMeshR

    public IMeshR(IMeshI m)

### IMeshR

    public IMeshR(IServerI s,
                  IMeshI m)

### IMeshR

    public IMeshR(IMeshR m)

### IMeshR

    public IMeshR(IServerI s,
                  IMeshR m)

Method Detail

### initMesh

    public void initMesh(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### get

    public IMeshGeo get()

  Specified by:
    `get` in interface `IMeshI`

### dup

    public IMeshR dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IMeshI`
  Overrides:
    `dup` in class `IObject`

### vertexNum

    public int vertexNum()

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum()

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum()

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public int vertexNum(ISwitchE e)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum(ISwitchE e)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum(ISwitchE e)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public IIntegerI vertexNum(ISwitchR r)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public IIntegerI edgeNum(ISwitchR r)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public IIntegerI faceNum(ISwitchR r)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertex

    public IVertex vertex(int i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(int i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(int i)

  Specified by:
    `face` in interface `IMeshI`

### vertex

    public IVertex vertex(IIntegerI i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(IIntegerI i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(IIntegerI i)

  Specified by:
    `face` in interface `IMeshI`

### name

    public IMeshR name(java.lang.String nm)

  Overrides:
    `name` in class `IObject`

### layer

    public IMeshR layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### hide

    public IMeshR hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IMeshR show()

  Overrides:
    `show` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c,
                      int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int gray,
                      int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fgray,
                      float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dgray,
                      double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int r,
                      int g,
                      int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fr,
                      float fg,
                      float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dr,
                      double dg,
                      double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int r,
                      int g,
                      int b,
                      int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fr,
                      float fg,
                      float fb,
                      float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dr,
                      double dg,
                      double db,
                      double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IMeshR hsb(float h,
                      float s,
                      float b,
                      float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(double h,
                      double s,
                      double b,
                      double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(float h,
                      float s,
                      float b)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(double h,
                      double s,
                      double b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IMeshR setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(java.awt.Color c,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int gray,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fgray,
                           float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dgray,
                           double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int r,
                           int g,
                           int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fr,
                           float fg,
                           float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dr,
                           double dg,
                           double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(float h,
                              float s,
                              float b,
                              float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(double h,
                              double s,
                              double b,
                              double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(float h,
                              float s,
                              float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(double h,
                              double s,
                              double b)

  Overrides:
    `setHSBColor` in class `IObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD